Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert.ext
Class CRLHoldInstructionExtension

`java.lang.Object
oracle.security.crypto.cert.X509Extension
oracle.security.crypto.cert.ext.CRLHoldInstructionExtension`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLHoldInstructionExtension
extends X509Extension

Represents the hold instruction extension for CRL enrty from RFC 2459. This extension is non-critical.

Field Summary

Fields inherited from class oracle.security.crypto.cert.X509Extension
`id_netscape_ce, id_netscape_ce_type, id_set_ce, id_set_ce_type, isDecoded`

Constructor Summary
`CRLHoldInstructionExtension()` Create a new extension with the appropriate OID type.
`CRLHoldInstructionExtension(oracle.security.crypto.asn1.ASN1ObjectID holdInstruction)` Creates a new extension with the given hold instruction.
`CRLHoldInstructionExtension(oracle.security.crypto.asn1.ASN1ObjectID holdInstruction, boolean critical)` Creates a new extension with the given hold instruction and critical value.
`CRLHoldInstructionExtension(java.io.InputStream is)`

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getHoldInstruction()` Gets the hold instruction code.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.cert.X509Extension
`getASN1Value, getCritical, getID, getType, getValue, input, input, inputInstance, isRecognized, length, output, setCritical, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRLHoldInstructionExtension

    public CRLHoldInstructionExtension()

  Create a new extension with the appropriate OID type.

  Note: An object created using this constructor may not be in a valid state. This constructor is intended primarily for use in conjunction with the `X509Extension.input(java.io.InputStream)` method.

### CRLHoldInstructionExtension

    public CRLHoldInstructionExtension(oracle.security.crypto.asn1.ASN1ObjectID holdInstruction)

  Creates a new extension with the given hold instruction. Extension is non-critical.
Parameters:
  `holdInstruction` - The hold instruction code.

### CRLHoldInstructionExtension

    public CRLHoldInstructionExtension(oracle.security.crypto.asn1.ASN1ObjectID holdInstruction,
                                       boolean critical)

  Creates a new extension with the given hold instruction and critical value.
Parameters:
  `holdInstruction` - The hold instruction code.
  `critical` - `true` if this extension is critical, `false` otherwise.

### CRLHoldInstructionExtension

    public CRLHoldInstructionExtension(java.io.InputStream is)
                                throws java.io.IOException

Method Detail

### getHoldInstruction

    public oracle.security.crypto.asn1.ASN1ObjectID getHoldInstruction()

  Gets the hold instruction code.
  Returns:
    An ASN1ObjectID representing the hold instruction.

### toString

    public java.lang.String toString()

  Description copied from class: `X509Extension`
  Returns a string representation of this object.
  Overrides:
    `toString` in class `X509Extension`
  Returns:
    a string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.